<?php
global $db;
try {
    $db = new PDO('sqlite:ToDoList.db3');
} catch (PDOException $e) {
    die("Could not open database. " . $e -> getMessage());
}

if (isset($_POST['description'])) {
    $desc = htmlentities($_POST['description']);
    $statement = $db->prepare("INSERT INTO todo (description, done) values (?, 0)");
    $statement -> bindParam(1, $desc);
    $statement -> execute();
}

$statement = $db -> prepare("SELECT * FROM todo WHERE done = 0 ORDER BY id");
$statement -> execute();
$rows = $statement -> fetchAll();

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
    <head>
        <title>To do list</title>
    </head>
    <body>
        <h1>To do list</h1>
        <form action="index.php" method="post">
            <label for="description">Description:</label>
            <input type="text" id="description" name="description" />
            <input type="submit" value="Add" />
        </form>
        <ol>
            <?php foreach ($rows as $row) : ?>
                <li><?php echo $row['description']; ?></li>
            <?php endforeach; ?>
        </ol>
    </body>
</html>
